<?php

/**
 * HappyFenceNG Total Enterprise Security Plugin
 * HAPPYWPRESS is a RazorVue Trademark.
 *
 * @package     HappyFenceNG
 * @developer   Simonluca Scillitani
 * @copyright   2025 RazorVue di Scillitani Simonluca
 * @link        https://razorvue.it
 * @author      RazorVue di Scillitani Simonluca
 * @brand       HappyWPress
 * @uri         https://happywpress.com
 * @set all
 */
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
/**PHPCS -> code compliance: we put useful comments where needed.. */
class HappyFenceNGSControl extends HappyFenceNGSystem {
    /**PHPCS -> code compliance: we put useful comments where needed.. */
    public function init() {
        try {
            HappyFenceNGLOGCORE::logcore( static::class . ' (INIT)', HappyFenceNGSyslogFacility::INIT, HappyFenceNGSyslogSeverity::AUDIT );
            HappyFenceNGCStoreBuilder::checkAndBuild();
            HappyFenceNGCStore::registerFunction( HappyFenceNGRgs::RFS_CF_GUARD, ( parent::exc( HappyFenceNGCFGuard::class, array(HappyFenceNGInoq::IO), HappyFenceNGSym::M30 ) ? HappyFenceNGRgs::SR : HappyFenceNGRgs::SO ) );
            HappyFenceNGCStore::registerFunction( HappyFenceNGRgs::RFS_ACORE, ( parent::exc( HappyFenceNGCore::class, array(HappyFenceNGInoq::IO), HappyFenceNGSym::M17 ) ? HappyFenceNGRgs::SR : HappyFenceNGRgs::SO ) );
            HappyFenceNGCStore::registerFunction( HappyFenceNGRgs::RFS_PVGR, ( parent::exc( HappyFenceNGPrivacy::class, array(HappyFenceNGInoq::IO), HappyFenceNGSym::M37 ) ? HappyFenceNGRgs::SR : HappyFenceNGRgs::SO ) );
        } catch ( \Throwable $e ) {
            HappyFenceNGLOGCORE::logcore( sprintf( 'S-CONTROL::This should never happen: %s ', $e->getMessage() ), HappyFenceNGSyslogFacility::SYSTEM, HappyFenceNGSyslogSeverity::CRITICAL );
        }
    }

}
